const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_0 = *((esi_global_2d_to_2d_local - 104));
    v4_5 = *((esi_global_2d_to_2d_local - 112));
    st7_global_2d_to_2d_local = sqrtl(v4_0 * v4_0 + v4_5 * v4_5) - *((edi - 16)) # st7;
    __asm_fpatan();
    __asm_fpatan();
    if *((edi - 68)) != 0:;
        pass;
    v1_8c_pre = st7_global_2d_to_2d_local;
    _pre15 = esi_global_2d_to_2d_local - 120;
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 0x4000 == 0:;
        # 0x56;
        *_pre15 = v1_8c_pre;
        v3_59 = edi - 76 # bp+59;
        v3_5e = 2 * 2 * *v3_59;
        v5_60 = *_pre15 # bp+60;
        v4_6e = v5_60 - v3_5e * llvm_round_f80(v5_60 / v3_5e);
        v6_78 = *v3_59 # bp+78;
        v2_7b = fabsl(v4_6e + v6_78);
        v4_8a = v2_7b - fabsl(v4_6e - v6_78) - v4_6e;
        st7_global_2d_to_2d_local = v4_8a;
    else:;
        # 0x41;
        v4_8a = v1_8c_pre;
    # 0x8c;
    *_pre15 = v4_8a;
    st7_global_2d_to_2d_local = st7_global_2d_to_2d_local * *((edi - 40)) - *((edi - 48));
    v1_da_pre = st7_global_2d_to_2d_local;
    _pre17 = esi_global_2d_to_2d_local - 112;
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 0x4000 == 0:;
        # 0xa4;
        *_pre17 = v1_da_pre;
        v3_a7 = edi - 76;
        v3_ac = 2 * 2 * *v3_a7;
        v5_ae = *_pre17;
        v4_bc = v5_ae - v3_ac * llvm_round_f80(v5_ae / v3_ac);
        v6_c6 = *v3_a7;
        v2_c9 = fabsl(v4_bc + v6_c6);
        v4_d8 = v2_c9 - fabsl(v4_bc - v6_c6) - v4_bc;
        st7_global_2d_to_2d_local = v4_d8;
    else:;
        # 0x8c;
        v4_d8 = v1_da_pre;
    # 0xda;
    *_pre17 = v4_d8;
    v7_e0 = st7_global_2d_to_2d_local * *((edi - 56)) - *((edi - 64));
    *((esi_global_2d_to_2d_local - 104)) = v7_e0;
    return v7_e0;


	}